Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.groovy.scripts
Class DefaultScriptCompilationHandler

    java.lang.Object
      org.gradle.groovy.scripts.DefaultScriptCompilationHandler

All Implemented Interfaces:
  ScriptCompilationHandler

    public class DefaultScriptCompilationHandler

extends java.lang.Object
implements ScriptCompilationHandler

Constructor Summary
`DefaultScriptCompilationHandler(CachePropertiesHandler cachePropertiesHandler)`

Method Summary
`
`<T extends groovy.lang.Script> T`
` | `createScriptOnTheFly(ScriptSource source, java.lang.ClassLoader classLoader, Transformer transformer, java.lang.Class<T> scriptBaseClass)`
`CachePropertiesHandler` | `getCachePropertyHandler()`
`
`<T extends groovy.lang.Script> T`
` | `loadFromCache(ScriptSource source, java.lang.ClassLoader classLoader, java.io.File scriptCacheDir, java.lang.Class<T> scriptBaseClass)`
`void` | `writeToCache(ScriptSource source, java.lang.ClassLoader classLoader, java.io.File scriptCacheDir, Transformer transformer, java.lang.Class<? extends groovy.lang.Script> scriptBaseClass)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultScriptCompilationHandler

    public DefaultScriptCompilationHandler(CachePropertiesHandler cachePropertiesHandler)

Method Detail

### createScriptOnTheFly

    public <T extends groovy.lang.Script> T createScriptOnTheFly(ScriptSource source,
                                                                 java.lang.ClassLoader classLoader,
                                                                 Transformer transformer,
                                                                 java.lang.Class<T> scriptBaseClass)

  Specified by:
    `createScriptOnTheFly` in interface `ScriptCompilationHandler`

### writeToCache

    public void writeToCache(ScriptSource source,
                             java.lang.ClassLoader classLoader,
                             java.io.File scriptCacheDir,
                             Transformer transformer,
                             java.lang.Class<? extends groovy.lang.Script> scriptBaseClass)

  Specified by:
    `writeToCache` in interface `ScriptCompilationHandler`

### loadFromCache

    public <T extends groovy.lang.Script> T loadFromCache(ScriptSource source,
                                                          java.lang.ClassLoader classLoader,
                                                          java.io.File scriptCacheDir,
                                                          java.lang.Class<T> scriptBaseClass)

  Specified by:
    `loadFromCache` in interface `ScriptCompilationHandler`

### getCachePropertyHandler

    public CachePropertiesHandler getCachePropertyHandler()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD